\documentclass[12pt,french]{beamer}

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{lmodern}
\usepackage{cmbright}

\usepackage{amsmath,amssymb,amsfonts}
\usepackage{multicol}
\usepackage{enumitem}
\usepackage[np]{numprint}

\usepackage{babel}

\usepackage{pythontex}

\title{Échantillonnage -- Correction exercices}
\date{11 avril 2019}
\author{Vincent-Xavier \bsc{Jumel}}
\institute{Jean-Baptiste de la Salle -- Saint-Denis}

\begin{document}

\begin{frame}
  \maketitle
\end{frame}

\begin{frame}
  \frametitle{6 p 216}
  \begin{block}{1.}
    \begin{multicols}{2}
      \begin{enumerate}[label=\alph*.]
        \item<1-> $\left[\sympy{Rational(3,4)-Rational(1,12)}~ ;
          \sympy{Rational(3,4) + Rational(1,12)}\right]$
        \item<2-> $\left[\sympy{Rational(2,3)-Rational(1,12)}~ ;
          \sympy{Rational(2,3) + Rational(1,12)}\right]$
        \item<3-> $\left[\sympy{Rational(2,7)-Rational(1,14)}~ ;
          \sympy{Rational(2,7) + Rational(1,14)}\right]$
        \item<4-> $\left[\sympy{str(N(0.6-1/25,2)).replace('.',',')}~ ;
          \sympy{str(0.6+1/25).replace('.',',')}\right]$
      \end{enumerate}
    \end{multicols}
  \end{block}
  \begin{block}{2.}<5->
    \begin{center}
      \begin{tabular}{|*{5}{c|}}\hline
        & a. & b. & c. & d. \\ \hline
        0,7        & $\in$   & $\in$   & $\notin$   & $\notin$ \\ \hline
        $\frac8{13}$ & $\notin$   & $\in$   & $\notin$   & $\in$ \\ \hline
        $\frac9{29}$ &    &    & $\in$   & \\ \hline
      \end{tabular}
    \end{center}
  \end{block}

\end{frame}

\begin{frame}
  \frametitle{8 p 216}

  \begin{block}{}
    $p = 0,203$

    \begin{multicols}{2}
      \begin{itemize}
        \item<1-> Pour la première ville, $I_f =
          \left[ p - \frac1{\sqrt{n}} ; p + \frac1{\sqrt{n}} \right]$

          ~\\

          $I_f =
          \left[\sympy{str(N(0.203-1/sqrt(3000),3)).replace('.',',')}~ ;
          \sympy{str(N(0.203+1/sqrt(3000),3)).replace('.',',')}\right]$

          ~\\

          $f = 0,22 \sympy{'\in' if 0.203-1/sqrt(3000) <= 0.22
            <= 0.203+1/sqrt(3000) else '\notin'} I_f$
        \item<2-> Pour la seconde ville, $I_f =
          \left[ p - \frac1{\sqrt{n}} ; p + \frac1{\sqrt{n}} \right]$

          ~\\

          $I_f =
          \left[\sympy{str(N(0.203-1/sqrt(30000),3)).replace('.',',')}~ ;
          \sympy{str(N(0.203+1/sqrt(30000),3)).replace('.',',')}\right]$

          ~\\

          $f = 0,22 \sympy{'\in' if 0.203-1/sqrt(30000) <= 0.22
            <= 0.203+1/sqrt(30000) else '\\notin'} I_f$
      \end{itemize}
    \end{multicols}
  \end{block}
\end{frame}

\begin{frame}[<+->]
  \frametitle{11 p 217}

  \begin{block}{1.}
    \begin{multicols}2
      \begin{itemize}
        \item $n$ inconnu
        \item $p = \frac12$
        \item $f = 0,58$
        \item $I_f = \left[ p - \frac1{\sqrt{n}} ; p + \frac1{\sqrt{n}}
          \right] = \left[\sympy{nsimplify('1/2 - 1/sqrt(n)')}~ ;
          \sympy{nsimplify('1/2 + 1/sqrt(n)')}\right]$
        \item $f\in I_f$
        \item $\sympy{nsimplify('1/2 - 1/sqrt(n)')} \leqslant 0,58
          \leqslant \sympy{nsimplify('1/2 + 1/sqrt(n)')}$
        \item $\sympy{nsimplify('- 1/sqrt(n)')} \leqslant 0,08
          \leqslant \sympy{nsimplify('1/sqrt(n)')}$
      \item $\sympy{latex(nsimplify(0.08**2))} \leqslant \frac1n$
      \item $\sympy{latex(nsimplify(0.08**(-2)))} \geqslant n$
      \end{itemize}
    \end{multicols}
    \begin{center}
      \begin{itemize}
        \item $n \leqslant \sympy{str(0.08**(-2)).replace('.',',')}$
      \end{itemize}
    \end{center}
  \end{block}
\end{frame}

\begin{frame}[<+->]
  \frametitle{11 p 217}

  \begin{block}{2.}
    \begin{multicols}2
      \begin{itemize}
        \item $n$ inconnu
        \item $p = \frac12$
        \item $f = 0,47$
        \item $I_f = \left[ p - \frac1{\sqrt{n}} ; p + \frac1{\sqrt{n}}
          \right] = \left[\sympy{nsimplify('1/2 - 1/sqrt(n)')}~ ;
          \sympy{nsimplify('1/2 + 1/sqrt(n)')}\right]$
        \item $f\notin I_f$
        \item $\sympy{nsimplify('1/2 - 1/sqrt(n)')} \geqslant 0,47$
        \item $\sympy{nsimplify('- 1/sqrt(n)')} \leqslant - 0,03$
        \item $\sympy{nsimplify('1/sqrt(n)')} \geqslant 0,03$
        \item $\sympy{latex(nsimplify(0.03**2))} \geqslant \frac1n$
        \item $\sympy{latex(nsimplify(0.03**(-2)))} \leqslant n$
      \end{itemize}
    \end{multicols}
    \begin{center}
      \begin{itemize}
        \item $n \geqslant \sympy{str(0.03**(-2)).replace('.',',')}
          \geqslant 1111$
      \end{itemize}
    \end{center}
  \end{block}
\end{frame}

\begin{frame}[<+->]
  \frametitle{22 p 219}
  \begin{block}{}
    \begin{itemize}
      \item $n = 100$
      \item $p = \frac12$
      \item $f = \sympy{str(N(43/100,2)).replace('.',',')}$
      \item $I_f = [\sympy{str(N(0.5 - 1/10,2)).replace('.',',')} ;
        \sympy{str(N(0.5 + 1/10,2)).replace('.',',')}]$
    \end{itemize}
  \end{block}
\end{frame}

\begin{frame}[<+->]
  \frametitle{26 p 219}
  \begin{block}{1.}
    \begin{enumerate}[label=\alph*.]
      \item
        \begin{itemize}
          \item $p_H \in \left[\sympy{str(N(0.29 -
              1/sqrt(1021),2)).replace('.',',')} ; \sympy{str(N(0.29 +
            1/sqrt(1021),2)).replace('.',',')} \right]$
          \item $p_S \in \left[\sympy{str(N(0.255 -
              1/sqrt(1021),2)).replace('.',',')} ; \sympy{str(N(0.255 +
            1/sqrt(1021),2)).replace('.',',')} \right]$
        \end{itemize}
      \item Non
    \end{enumerate}
  \end{block}
  \begin{block}{2.}
    \begin{itemize}
      \item Oui
    \end{itemize}
  \end{block}
\end{frame}
\end{document}
